var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

import React, { useState } from 'react';
import PropTypes from 'prop-types';
import classNames from 'classnames';
import { tagPropType, mapToCssModules } from './Shared/helper.js';
//import {polyfill} from 'react-lifecycles-compat';

export var Context = React.createContext({});

//component - CoreUI / CTabContent

var CTabContent = function CTabContent(props) {
  var Tag = props.tag,
      className = props.className,
      cssModule = props.cssModule,
      innerRef = props.innerRef,
      activeTabProp = props.activeTab,
      attributes = _objectWithoutProperties(props, ['tag', 'className', 'cssModule', 'innerRef', 'activeTab']);

  var _useState = useState(activeTabProp),
      activeTab = _useState[0],
      setActiveTab = _useState[1];

  if (activeTab !== activeTabProp) setActiveTab(activeTabProp);

  // render

  var classes = mapToCssModules(classNames('tab-content', className), cssModule);

  return React.createElement(
    Context.Provider,
    { value: {
        activeTabId: activeTab
      } },
    React.createElement(Tag, _extends({}, attributes, { className: classes, ref: innerRef }))
  );
};

CTabContent.propTypes = process.env.NODE_ENV !== "production" ? {
  tag: tagPropType,
  className: PropTypes.string,
  cssModule: PropTypes.object,
  //
  innerRef: PropTypes.oneOfType([PropTypes.object, PropTypes.func, PropTypes.string]),
  activeTab: PropTypes.any
} : {};

CTabContent.defaultProps = {
  tag: 'div'
};

//polyfill(CTabContent);

export default CTabContent;